package com.dayu.general.bean.card

class CardCommon {

    val ERROR: Int = -1
    //连接中断 提示用户重新连接或提示用户重新靠近卡片

    val ERROR_MOVE: Int = -2


    /**
     * 获取默认的卡标识
     *
     * @param cardType 卡片类型
     * @return 卡内容
     */
    fun getDefaultCardData(cardType: String?): String {
        var cardData = ""
        when (cardType) {
            CLEAN_CARD_TYPE -> cardData = "3668F7A30119"
            MANAGE_CRAD, USER_CARD_TYPE_1, USER_CARD_TYPE_2, USER_CARD_TYPE_3, REGION_CARD, ELECTRIC_PRICE_CARD, MANAGE_CRAD, VALVE_TIME_CARD, GPS_CARD, AREA_CARD, IP_CARD, CHECK_CARD, DEBUG_CARD, CLEAN_CARD_TYPE -> cardData =
                "A0B1C289"
        }
        return cardData
    }

    companion object {


        /**
         * 用户刷卡开泵前
         */

        const val USER_CARD_TYPE_1: String = "A1"

        /**
         * 用户刷卡开泵后
         */

        const val USER_CARD_TYPE_2: String = "A8"

        /**
         * 用户叠加充值
         */

        const val USER_CARD_TYPE_3: String = "A2"


        /**
         * 设置区域表号卡
         */

        const val REGION_CARD: String = "B0"


        /**
         * 取数卡（需要刷卡取数）
         */

        const val ELECTRIC_PRICE_CARD: String = "B1"


        /**
         * 取数卡（刷卡取数返写成功）
         */

        const val MANAGE_CRAD: String = "B2"


        /**
         * 检查卡
         */
        const val CHECK_CARD: String = "B3"

        /**
         * 调试卡
         */
        const val DEBUG_CARD = "B4"

        /**
         * 清零卡
         */

        const val CLEAN_CARD_TYPE: String = "C1"

        /**
         * IP地址设置卡
         */

        const val IP_CARD: String = "B5"

        /**
         * 区域设置卡
         */
        const val AREA_CARD: String = "B6"


        /**
         * GPS设置卡
         */
        const val GPS_CARD: String = "B7"

        /**
         * 配置开关阀时间
         */
        const val VALVE_TIME_CARD: String = "B8"


        fun getDefaultCardData(cardType: String?): String? {
            return getDefaultCardData(cardType)
        }

    }
}